commit:     1f3a01a3a6717ad8c6ee334748f9181a2abe5389
Author:     Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Mon Apr  4 16:22:25 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr  5 03:09:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f3a01a3

sci-astronomy/wcslib: version bump 7.9

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Closes: https://github.com/gentoo/gentoo/pull/24903
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-astronomy/wcslib/Manifest          |  1 +
 sci-astronomy/wcslib/wcslib-7.9.ebuild | 71 ++++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/sci-astronomy/wcslib/Manifest b/sci-astronomy/wcslib/Manifest
index 49d7c3568ab2..449b9612649d 100644
--- a/sci-astronomy/wcslib/Manifest
+++ b/sci-astronomy/wcslib/Manifest
@@ -2,3 +2,4 @@ DIST wcslib-7.3.1.tar.bz2 2434274 BLAKE2B 
9789a8eb34fe37c96b52e20efe3c1436849905
 DIST wcslib-7.3.tar.bz2 2435669 BLAKE2B 
c0f641b4c2fdd9d332816195f399eb2ab3c5aa585f08c4857af77bd5ed4074e653663f7cbddc6d7678cd85bed2c0bd95719cd83a5138d21ad24841396d4c11b9
 SHA512 
8c98c4b575056e2d966b77a4bc951256d02ecee3a11847e140fd38d93afd0f76b3e906d590c952dc9fc58ceeb1ba062b19d8e1e676ee0032f5b7ed13a9dfa892
 DIST wcslib-7.4.tar.bz2 2446483 BLAKE2B 
e659e0f7d4aa54d599c1300f600bc8b7b56d672fa715be1e7c3ade4ff6eebaf68a2894dac73032b1f3aee5965254f359681718c93949962f4a59bdda448d5395
 SHA512 
3696f59bf15f3806faff2441250f8ae38bfbbc1e2e25404c9480c82629472521d89306d9340475ea4691c5e1a8417be3f058b4a01b49c9a45e0e718056a9394c
 DIST wcslib-7.7.tar.bz2 2515760 BLAKE2B 
f5418513168903e14488004abeb5ec2f69d773f49a5abc28598d184ba66df2232b87fb0754fc63800951ea2e794741fbde119794feca2d822287cd63d3fa658c
 SHA512 
372eb32d28ee78be14a3e8f1fba2a51c2b1f69de3bb70bf49487653878f905b4c463a0b7fc9cb06cf4fdd0b23114d3ec26d853072e0fd06d6e14610f0dfa06d4
+DIST wcslib-7.9.tar.bz2 2947112 BLAKE2B 
797a1c51dd5b1669faf63c4a509e698f93422d6b4bfc5ace023d75e8e03b2967cc01c6764cca190f07c65b76aec76a740349349561f18f61b870af90bb66ba35
 SHA512 
72831ced127ad8fce934b43ddde86383273b161316ac078b03dcd8de94b0d6076b625445728695e4c8a9da46cccaa3832038f251922a759f480ef2ad33fd67a1

diff --git a/sci-astronomy/wcslib/wcslib-7.9.ebuild 
b/sci-astronomy/wcslib/wcslib-7.9.ebuild
new file mode 100644
index 000000000000..8bb41c6f9a45
--- /dev/null
+++ b/sci-astronomy/wcslib/wcslib-7.9.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_NEEDED=fortran
+
+inherit flag-o-matic fortran-2
+
+DESCRIPTION="Astronomical World Coordinate System transformations library"
+HOMEPAGE="https://www.atnf.csiro.au/people/mcalabre/WCS/";
+SRC_URI="ftp://ftp.atnf.csiro.au/pub/software/${PN}/${P}.tar.bz2";
+
+SLOT="0/7"
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc fortran fits pgplot static-libs +tools"
+
+RDEPEND="
+       fits? ( sci-libs/cfitsio:0= )
+       pgplot? ( sci-libs/pgplot:0= )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       >=sys-devel/flex-2.6.0
+       virtual/pkgconfig"
+
+src_configure() {
+       # workaround until upstream fix it properly
+       append-fflags $(test-flags-FC -fallow-argument-mismatch)
+
+       local myconf=(
+               --docdir="${EPREFIX}"/usr/share/doc/${PF}
+               --htmldir="${EPREFIX}"/usr/share/doc/${PF}
+               $(use_enable fortran)
+               $(use_enable tools utils)
+       )
+       # hacks because cfitsio and pgplot directories are hard-coded
+       if use fits; then
+               myconf+=(
+                       --with-cfitsioinc="${EPREFIX}/usr/include"
+                       --with-cfitsiolib="${EPREFIX}/usr/$(get_libdir)"
+               )
+       else
+               myconf+=( --without-cfitsio )
+       fi
+       if use pgplot; then
+               myconf+=(
+                       --with-pgplotinc="${EPREFIX}/usr/include"
+                       --with-pgplotlib="${EPREFIX}/usr/$(get_libdir)"
+               )
+       else
+               myconf+=( --without-pgplot )
+       fi
+       econf "${myconf[@]}"
+       sed -i -e 's/COPYING\*//' GNUmakefile || die
+}
+
+src_test() {
+       # -j1 to work around a race condition
+       emake -j1 check
+}
+
+src_install () {
+       default
+       # static libs share the same symbols as shared (i.e. compiled with PIC)
+       # so they are not compiled twice
+       use static-libs || rm "${ED}"/usr/$(get_libdir)/lib*.a
+       use doc || rm -r \
+               "${ED}"/usr/share/doc/${PF}/html \
+               "${ED}"/usr/share/doc/${PF}/*.pdf
+}

Reply via email to